OGRE: Ogre::D3D9StereoDriverBridge Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | Static Public Member Functions | List of all members
Ogre::D3D9StereoDriverBridge Class Reference

Bridge interface from the render system to the stereo driver. More...

`#include <OgreD3D9StereoDriverBridge.h>`

Inheritance diagram for Ogre::D3D9StereoDriverBridge:
[legend]

## Public Member Functions
| D3D9StereoDriverBridge (StereoModeType stereoMode)
virtual | ~D3D9StereoDriverBridge ()
bool | addRenderWindow (D3D9RenderWindow *renderWindow) const
StereoModeType | getStereoMode () const
bool | isStereoEnabled (const String &renderWindowName) const
void | operator delete (void *ptr)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete (void *ptr, void *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
void * | operator new (size_t sz)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info More...
void * | operator new (size_t sz, void *ptr)
| placement operator new More...
void * | operator new[] (size_t sz)
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info More...
bool | removeRenderWindow (const String &renderWindowName) const
bool | setDrawBuffer (const ColourBufferType colourBuffer) const

## Static Public Member Functions
static D3D9StereoDriverBridge & | getSingleton (void)
static D3D9StereoDriverBridge * | getSingletonPtr (void)

## Detailed Description

Bridge interface from the render system to the stereo driver.

Loads the correct driver and forwards the methods to the stereo driver implementation.

## Constructor & Destructor Documentation

## ◆ D3D9StereoDriverBridge()

Ogre::D3D9StereoDriverBridge::D3D9StereoDriverBridge | ( | StereoModeType | stereoMode | ) |

## ◆ ~D3D9StereoDriverBridge()

virtual Ogre::D3D9StereoDriverBridge::~D3D9StereoDriverBridge | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ addRenderWindow()

bool Ogre::D3D9StereoDriverBridge::addRenderWindow | ( | D3D9RenderWindow * | renderWindow | ) | const

## ◆ getSingleton()

static D3D9StereoDriverBridge& Ogre::D3D9StereoDriverBridge::getSingleton | ( | void |  | ) |
| static

## ◆ getSingletonPtr()

static D3D9StereoDriverBridge* Ogre::D3D9StereoDriverBridge::getSingletonPtr | ( | void |  | ) |
| static

## ◆ getStereoMode()

StereoModeType Ogre::D3D9StereoDriverBridge::getStereoMode | ( |  | ) | const

## ◆ isStereoEnabled()

bool Ogre::D3D9StereoDriverBridge::isStereoEnabled | ( | const String & | renderWindowName | ) | const

## ◆ operator delete() [1/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete() [2/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator delete() [3/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  |
| inlineinherited

## ◆ operator delete[]() [1/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete[]() [2/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator new() [1/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new() [2/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

operator new, with debug line info

## ◆ operator new() [3/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  |
| inlineinherited

placement operator new

## ◆ operator new[]() [1/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new[]() [2/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

array operator new, with debug line info

## ◆ removeRenderWindow()

bool Ogre::D3D9StereoDriverBridge::removeRenderWindow | ( | const String & | renderWindowName | ) | const

## ◆ setDrawBuffer()

bool Ogre::D3D9StereoDriverBridge::setDrawBuffer | ( | const ColourBufferType | colourBuffer | ) | const

The documentation for this class was generated from the following file:

- OgreD3D9StereoDriverBridge.h